import React, { ErrorInfo } from 'react';
import HistoryController from './controller/history';
/** types  */
import { GraphinProps, GraphinState, ExtendedGraphOptions, GraphType, ForceSimulation, Data } from './types';
import './index.less';
declare class Graph extends React.PureComponent<GraphinProps, GraphinState> {
    graphDOM: HTMLDivElement | null;
    graph?: GraphType;
    history: HistoryController;
    forceSimulation: ForceSimulation | null;
    g6Options?: Partial<ExtendedGraphOptions>;
    getLayoutInfo: () => any;
    clearEvents?: () => void;
    constructor(props: GraphinProps);
    componentDidMount(): void;
    componentDidUpdate(prevProps: GraphinProps): void;
    componentWillUnmount(): void;
    componentDidCatch(error: Error, info: ErrorInfo): void;
    getApis: () => {
        highlight: (nodeIds: string[]) => void;
        getInfo: () => {
            layouts: any;
            count: {
                nodes: number;
                edges: number;
            };
        };
        search: (words: string) => import("../../../../../../Users/liudongqi/Graphin/packages/graphin/src/types").Node[];
        history: {
            redo: () => void;
            undo: () => void;
            save: () => void;
            getInfo: () => {
                currentStep: number;
                allStep: number;
                disableRedo: boolean;
                disableUndo: boolean;
            };
        };
        clear: () => void;
    };
    getHistoryInfo: () => {
        currentStep: number;
        allStep: number;
        disableRedo: boolean;
        disableUndo: boolean;
    };
    clear: () => void;
    shouldUpdate(prevProps: GraphinProps, key: string): boolean;
    handleEvents(): void;
    getContext: () => this;
    renderGraphWithLifeCycle: (firstRender: boolean) => void;
    stopForceSimulation: () => void;
    handleSaveHistory: () => void;
    handleUndo: () => void;
    handleRedo: () => void;
    renderGraph: (data: Data) => void;
    renderGraphByHistory: () => void;
    renderChildren: () => any;
    render(): JSX.Element;
}
export default Graph;
