import { Graph as GraphType } from '@antv/g6';
import { GraphinProps, ExtendedGraphOptions } from '../types';
export interface BehaviorModeItem {
    type: string;
    [key: string]: string | number | boolean | undefined;
}
interface BehaviorsMode {
    [mode: string]: (BehaviorModeItem | string)[];
}
export declare const initGraphAfterRender: (props: GraphinProps, graphDOM: HTMLDivElement, instance: GraphType) => void;
declare const initGraph: (props: GraphinProps, graphDOM: HTMLDivElement, behaviorsMode: BehaviorsMode) => {
    options: Partial<ExtendedGraphOptions>;
    instance: GraphType;
    width: number;
    height: number;
};
export default initGraph;
