import { LayoutOptionBase, Data } from '../../types';
export interface CircleLayoutOption extends LayoutOptionBase {
    /** 圆心 x坐标 */
    x: number;
    /** 圆心 y坐标 */
    y: number;
    /** 半径，默认半径为节点数*10 */
    r: number;
    scale?: number;
}
/**
 *
 * @param {*} data
 * 如果是nodes，则返回nodes，如果输入的是nodes和edges的对象，则返回对应的对象
 * @param {*} cfg
 */
declare const circleLayout: (data: Data, cfg: CircleLayoutOption) => {
    x: number;
    y: number;
    layout: {
        circle: {
            x: number;
            y: number;
            theta: number;
            isCenter: boolean;
        };
        degree?: number | undefined;
        force?: {
            mass?: number | undefined;
        } | undefined;
        concentric?: {
            outerR?: number | undefined;
            center: {
                x: number;
                y: number;
            };
            theta: number;
        } | undefined;
    };
    data: {
        id: string;
        comboId?: string | undefined;
        type?: string | undefined;
        label?: string | undefined;
        properties?: any[] | undefined;
    };
    id: string;
    comboId?: string | undefined;
    shape?: string | undefined;
    type?: string | undefined;
    label?: string | undefined;
    style?: Partial<import("../../types").NodeStyle> | undefined;
    degree?: number | undefined;
    badge?: string | number | undefined;
    searchTypes?: string[] | undefined;
}[] | {
    nodes: {
        x: number;
        y: number;
        layout: {
            circle: {
                x: number;
                y: number;
                theta: number;
                isCenter: boolean;
            };
            degree?: number | undefined;
            force?: {
                mass?: number | undefined;
            } | undefined;
            concentric?: {
                outerR?: number | undefined;
                center: {
                    x: number;
                    y: number;
                };
                theta: number;
            } | undefined;
        };
        data: {
            id: string;
            comboId?: string | undefined;
            type?: string | undefined;
            label?: string | undefined;
            properties?: any[] | undefined;
        };
        id: string;
        comboId?: string | undefined;
        shape?: string | undefined;
        type?: string | undefined;
        label?: string | undefined;
        style?: Partial<import("../../types").NodeStyle> | undefined;
        degree?: number | undefined;
        badge?: string | number | undefined;
        searchTypes?: string[] | undefined;
    }[];
    edges: import("../../types").Edge[];
};
export default circleLayout;
