import { Data, LayoutOptionBase } from '../../types';
export interface GridLayoutOptions extends LayoutOptionBase {
    /** 布局范围的宽度 */
    width: number;
    /** 布局范围的高度 */
    height: number;
    /** 节点间的间距，上下左右均是一致的 */
    nodeSep: number;
    /** 节点的大小，单位px */
    nodeSize: number;
}
declare const gridLayout: (data: Data, options: GridLayoutOptions) => {
    nodes: {
        x: number;
        y: number;
        data: {
            id: string;
            comboId?: string | undefined;
            type?: string | undefined;
            label?: string | undefined;
            properties?: any[] | undefined;
        };
        id: string;
        comboId?: string | undefined;
        shape?: string | undefined;
        type?: string | undefined;
        label?: string | undefined;
        style?: Partial<import("../../types").NodeStyle> | undefined;
        layout?: import("../../types").NodeLayoutType | undefined;
        degree?: number | undefined;
        badge?: string | number | undefined;
        searchTypes?: string[] | undefined;
    }[];
    edges: import("../../types").Edge[];
};
export default gridLayout;
