declare const _default: (g6: {
    version: string;
    Graph: typeof import("@antv/g6").Graph;
    TreeGraph: typeof import("@antv/g6").TreeGraph;
    Util: any;
    registerNode: typeof import("@antv/g6/lib/shape").default.registerNode;
    registerEdge: typeof import("@antv/g6/lib/shape").default.registerEdge;
    registerCombo: typeof import("@antv/g6/lib/shape").default.registerCombo;
    registerBehavior: typeof import("@antv/g6/lib/behavior").default.registerBehavior;
    registerLayout: <Cfg>(type: string, layout: Partial<import("@antv/g6/lib/interface/layout").ILayout<Cfg>>, layoutCons?: (new () => import("@antv/g6/lib/layout/layout").BaseLayout<Cfg>) | undefined) => void;
    Layout: {
        [layoutType: string]: any;
        registerLayout<Cfg_1>(type: string, layout: Partial<import("@antv/g6/lib/interface/layout").ILayout<Cfg_1>>, layoutCons?: (new () => import("@antv/g6/lib/layout/layout").BaseLayout<Cfg_1>) | undefined): void;
    };
    Global: {
        version: string;
        rootContainerClassName: string;
        nodeContainerClassName: string;
        edgeContainerClassName: string;
        comboContainerClassName: string;
        customGroupContainerClassName: string;
        delegateContainerClassName: string;
        defaultShapeFillColor: string;
        defaultShapeStrokeColor: string;
        defaultLoopPosition: string;
        nodeLabel: {
            style: {
                fill: string;
                textAlign: string;
                textBaseline: string;
            };
            offset: number;
        };
        defaultNode: {
            type: string;
            style: {
                fill: string;
                lineWidth: number;
                stroke: string;
            };
            size: number;
            color: string;
        };
        edgeLabel: {
            style: {
                fill: string;
                textAlign: string;
                textBaseline: string;
            };
        };
        defaultEdge: {
            type: string;
            style: {
                stroke: string;
            };
            size: number;
            color: string;
        };
        comboLabel: {
            style: {
                fill: string;
                textBaseline: string;
            };
            refY: number;
            refX: number;
        };
        defaultCombo: {
            type: string;
            style: {
                fill: string;
                lineWidth: number;
                stroke: string;
                opacity: number;
                r: number;
                width: number;
                height: number;
            };
            size: number[];
            color: string;
            padding: number[];
        };
        nodeStateStyle: {};
        delegateStyle: {
            fill: string;
            fillOpacity: number;
            stroke: string;
            strokeOpacity: number;
            lineDash: number[];
        };
    };
    Minimap: typeof import("@antv/g6/lib/plugins/minimap").default;
    Grid: typeof import("@antv/g6/lib/plugins/grid").default;
    Bundling: typeof import("@antv/g6/lib/plugins/bundling").default;
    Menu: typeof import("@antv/g6/lib/plugins/menu").default;
    Algorithm: typeof import("@antv/g6/lib/algorithm");
}) => void;
export default _default;
