import { NodeData, EdgeData, Data } from '../types';
declare const defaultOptions: {
    /** 节点 */
    nodeCount: number;
    nodeType: string;
};
declare type OptionType = typeof defaultOptions;
/**
 * 1,mock data with edges,nodes
 * 2.mock nodes properties
 * 3.filter edges
 * 4.
 */
export declare class Mock {
    nodes: NodeData[];
    edges: EdgeData[];
    options: OptionType;
    nodeIds: string[];
    combosData: any;
    constructor(count: number);
    initNodes: () => void;
    expand: (snodes: {
        id: string;
        comboId?: string | undefined;
        type?: string | undefined;
        label?: string | undefined;
        properties?: any[] | undefined;
    }[]) => this;
    type: (nodeType: string) => this;
    circle: (centerId?: string) => this;
    /**
     * @param ratio 随机的稀疏程度，默认0.5
     */
    random: (ratio?: number) => this;
    tree: () => this;
    value: () => {
        nodes: {
            id: string;
            comboId?: string | undefined;
            type?: string | undefined;
            label?: string | undefined;
            properties?: any[] | undefined;
        }[];
        edges: {
            [key: string]: any;
            properties?: object[] | undefined;
        }[];
    };
    combos: (chunkSize: number) => this;
    graphin: () => Data;
}
declare const mock: (count: number) => Mock;
export default mock;
/**
 * mock(10).type('company').value()
 * mock(10).type('company').circle('node-1').value()
 * mock(10).type('company').random('node-1').value()
 * mock(10).type('company').random('node-1').value()
 *
 *
 * graphin()
 */
